@charset "utf-8";
/*==================================================
　            ローディング画面のためのCSS
===================================================*/
#splash{
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 999;
  background: var(--active-color);
  text-align: center;
  color: var(--logo-color);
}
/* Loading画像中央配置　*/
#splash_logo{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
/* Loading アイコンの大きさ設定　*/
#splash_logo svg{
  width: 290px;
}
@media screen and (min-width: 768px){
  #splash_logo svg {
    width: 325px;
  }
}
/* SVGアニメーション内の指定 */
.st0{
  fill: none;
  stroke: var(--white-color-primary);
  stroke-width: 15;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-miterlimit: 10;
  stroke-dasharray: 2679;
  stroke-dashoffset: 2679;
}
/*==================================================
　                 メインビジュアル
===================================================*/
.main-visual{
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: 1fr;
  height: 100%;
  min-height: 480px;
}
@media screen and (min-width: 768px){
  .main-visual {
    min-height: 560px;
    padding: 40px 0;
  }
}
.main-visual__title,
.main-visual__dummy-text{
  align-self: center;
  font-family: serif;
  font-size: min(5.2vw, 25px);
  font-weight: normal;
  grid-row: 1;
  line-height: 1.5;
  position: relative;
}
@media screen and (min-width: 768px){
  .main-visual__title,
  .main-visual__dummy-text {
      font-size: min(5vw, 33px);
    }
}
@media screen and (min-width: 980px){
  .main-visual__title,
  .main-visual__dummy-text {
      font-size: min(5vw, 36px);
    }
}
.main-visual__title{
  color: var(--white-color-primary);
  grid-column: 2/12;
  margin: 0;
  z-index: 2;
}
.main-visual__dummy-text{
  color: var(--base-color);
  grid-column: 2/4;
  overflow: hidden;
  z-index: -1;
}
.main-visual__dummy-text > *{
  width: 100vw;
}
@media screen and (min-width: 768px){
  .main-visual__dummy-text {
    z-index: 3;
  }
}
.main-visual__background{
  background-color: var(--white-color-primary);
  grid-column: 1/13;
  grid-row: 1;
  z-index: 1;
}
@media screen and (min-width: 768px){
  .main-visual__background {
    grid-column: 4/13;
  }
}

/*==================================================  　　
　　　　　　　　矢印が右に移動して背景がつく
===================================================*/
.btnarrow5{
  /*矢印の基点とするためrelativeを指定*/
	position: relative;
  /*ボタンの形状*/
	border: 1px solid var(--base-color);
  padding: 8px 30px;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  color: var(--base-color);
  outline: none;
  /*アニメーションの指定*/
  transition: all .2s linear;
  font-size: 0.85rem;
}
.btnarrow5:hover{
	background: var(--gray-color-secondary);
	color: var(--white-color-primary);
}
/*矢印と下線の形状*/
.btnarrow5::before{
	content:"";
  /*絶対配置で下線の位置を決める*/
	position: absolute;
	top:50%;
	right:-26px;
  /*下線の形状*/
	width:40px;
	height:1px;
	background: var(--base-color);
  /*アニメーションの指定*/
  transition: all .2s linear;
}
.btnarrow5::after{
	content:"";
  /*絶対配置で矢印の位置を決める*/
	position: absolute;
  top: 20%;
  right: -21px;
  /*矢印の形状*/
	width:1px;
	height:12px;
	background: var(--base-color);
  transform: skewX(45deg);
  /*アニメーションの指定*/
  transition: all .2s linear;
}
/*hoverした際の移動*/
.btnarrow5:hover::before{
	right:-30px;
}
.btnarrow5:hover::after{
	right:-25px;
}
/*==================================================
              　　　　　遅延時間
===================================================*/
/* アニメーションスタートの遅延時間を決めるCSS*/
.delay-time025{
  animation-delay: 0.25s;
}
.delay-time05{
  animation-delay: 0.5s;
}
.delay-time075{
  animation-delay: 0.75s;
}
.delay-time1{
  animation-delay: 1s;
}
.delay-time125{
  animation-delay: 1.25s;
}
.delay-time15{
  animation-delay: 1.5s;
}
.delay-time175{
  animation-delay: 1.75s;
}
.delay-time2{
  animation-delay: 2s;
}
.delay-time25{
  animation-delay: 2.5s;
}
/*==================================================
                　　フェードイン
===================================================*/
.fadeIn{
  animation-name: fadeInAnime;
  animation-duration: 1.5s;/*ゆっくり出現するため数値変更*/
  animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes fadeInAnime{
  from{
    opacity: 0;
  }
  to{
    opacity: 1;
  }
}
.fadeInTrigger{
  opacity: 0;
}
/*==================================================
　               　　　ズームアウト
===================================================*/
.zoomOut{
	animation-name: zoomOutAnime;
	animation-duration: 0.5s;
	animation-fill-mode: forwards;
}
@keyframes zoomOutAnime{
  from{
	  transform: scale(1.2);
	  opacity: 0;
  }
  to{
    transform:scale(1);
    opacity: 1;
  }
}
/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.zoomOutTrigger{
  opacity: 0;
}
/*==================================================
　               じわっと滲み出る
===================================================*/
.blur{
	animation-name: blurAnime;
	animation-duration: .6s;
	animation-fill-mode: forwards;
}
@keyframes blurAnime{
  from {
		filter: blur(10px);
		transform: scale(1.02);
		opacity: 0;
  }
  to{
		filter: blur(0);
		transform: scale(1);
		opacity: 1;
  }
}
/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.blurTrigger{
  opacity: 0;
}
/*==================================================
                テキストが流れるように出現
===================================================*/
/*全共通*/
.slide-in{
	overflow: hidden;
  display: inline-block;
  padding: 0 10px;/*英語がはみ出るので見えるように余白追記*/
}
.slide-in_inner{
	display: inline-block;
}
/*左右のアニメーション*/
.leftAnime,
.rightAnime{
  opacity: 0;/*事前に透過0にして消しておく*/
}
.slideAnimeLeftRight{
	animation-name: slideText-100;
	animation-duration: 0.8s;
	animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes slideText-100{
  from{
	  transform: translateX(-100%); /*要素を左の枠外に移動*/
    opacity: 0;
  }
  to{
    transform: translateX(0);/*要素を元の位置に移動*/
    opacity: 1;
  }
}
.slideAnimeRightLeft{
	animation-name: slideText100;
	animation-duration: 0.8s;
	animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes slideText100{
  from{
	   transform: translateX(100%);/*要素を右の枠外に移動*/
     opacity: 0;
  }
  to{
	   transform: translateX(0);/*要素を元の位置に移動*/
     opacity: 1;
  }
}
/*==================================================
　               枠線が伸びて出現
===================================================*/
.lineTrigger{
  position: relative; /*枠線が書かれる基点*/
  opacity: 0;
}
.lineTrigger.lineanime{
	animation-name: lineAnimeBase;
	animation-duration: .4s;
	animation-fill-mode: forwards;
}
@keyframes lineAnimeBase{
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
	}
}
/*上下線*/
.lineTrigger::before,
.lineTrigger::after{
  position: absolute;
  content: '';
  width: 0;
  height: 1px;
  background: var(--base-color);/* 枠線の色*/
}
/*左右線*/
.line2::before,
.line2::after{
  position: absolute;
  content: '';
  width: 1px;
  height: 0;
  background: var(--base-color);/* 枠線の色*/
}
/*上線*/
.lineTrigger::before{
	top: 0;
	left: 0;
}
.lineTrigger.lineanime::before{
	animation: lineAnime .5s linear 0s forwards;/*表示されて0秒後に上線が0.5秒かけて表示*/
}
/*右線*/
.line2::before{
	top: 0;
	right: 0;
}
.lineTrigger.lineanime .line2::before{
	animation: lineAnime2 .5s linear .5s forwards;/*表示されて0.5秒後に右線が0.5秒かけて表示*/
}
/*下線*/
.lineTrigger::after{
	bottom: 0;
	right: 0;
}
.lineTrigger.lineanime::after{
	animation: lineAnime .5s linear 1s forwards;/*表示されて1秒後に下線が0.5秒かけて表示*/
}
/*左線*/
.line2::after{
	bottom: 0;
	left: 0;
}
.lineTrigger.lineanime .line2::after{
	animation: lineAnime2 .5s linear 1.5s forwards;/*表示されて1.5秒後に左線が0.5秒かけて表示*/
}
@keyframes lineAnime{
	0% {
    width: 0%;
  }100%{
    width: 100%;
  }
}
@keyframes lineAnime2{
	0% {
    height: 0%;
  }100%{
    height: 100%;
  }
}
/*枠線内側の要素*/
.lineTrigger.lineanime .lineinappear{
	animation: lineInnerAnime .5s linear 1.5s forwards;/*1.5秒後に中央のエリアが0.5秒かけて表示*/
	opacity: 0;/*初期値を透過0にする*/
}
@keyframes lineInnerAnime{
	0% {
    opacity: 0;
  }100%{
    opacity: 1;
  }
}
/*==================================================
　               テキストが1文字ずつ出現
===================================================*/
.eachTextAnime span{
  opacity: 0;
}
.eachTextAnime.appeartext span{
   animation: text_anime_on 1s ease-out forwards;
 }
@keyframes text_anime_on {
	0% {
    opacity: 0;
  }
	100% {
    opacity: 1;
  }
}
